<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__comp_8c" kind="file" language="C++">
    <compoundname>cyhal_comp.c</compoundname>
    <includes local="yes" refid="cyhal__comp_8h">cyhal_comp.h</includes>
    <includes local="yes" refid="cyhal__comp__ctb_8h">cyhal_comp_ctb.h</includes>
    <includes local="yes" refid="cyhal__comp__lp_8h">cyhal_comp_lp.h</includes>
    <includes local="yes" refid="cyhal__gpio_8h">cyhal_gpio.h</includes>
    <includes local="yes" refid="cyhal__analog__common_8h">cyhal_analog_common.h</includes>
    <includes local="yes" refid="cyhal__hwmgr_8h">cyhal_hwmgr.h</includes>
    <includes local="yes" refid="cyhal__system_8h">cyhal_system.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__comp_1ga5cc60c08506afdf99bd847289b67bd7d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_comp_init</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_gpio_t vin_p, cyhal_gpio_t vin_m, cyhal_gpio_t output, cyhal_comp_config_t *cfg)</argsstring>
        <name>cyhal_comp_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>vin_p</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>vin_m</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>output</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Initialize the Comparator peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a Comparator object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">vin_p</parametername>
</parameternamelist>
<parameterdescription>
<para>Non-inverting input pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">vin_m</parametername>
</parameternamelist>
<parameterdescription>
<para>Inverting input pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">output</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator output pin. May be <ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__04__80__tqfp_1gga43c4aa9a5556b7386cb604f0ab3b242ca3dbd1016ea99d087d747530418b89a01">NC</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="79" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" bodystart="59" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" line="59" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp_1ga22b207c986cfda6121fea3a00a5baf67" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_comp_free</definition>
        <argsstring>(cyhal_comp_t *obj)</argsstring>
        <name>cyhal_comp_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize the Comparator peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="99" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" bodystart="81" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" line="81" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp_1ga3808f1cb24f0dd6dc9d16152667649de" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_comp_set_power</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_power_level_t power)</argsstring>
        <name>cyhal_comp_set_power</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref></type>
          <declname>power</declname>
        </param>
        <briefdescription>
<para>Changes the current operating power level of the comparator. </para>        </briefdescription>
        <detaileddescription>
<para>If the power level is set to <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref>, the comparator will be powered-off but it will retain its configuration, so it is not necessary to reconfigure it when changing the power level from <ref kindref="member" refid="group__group__hal__general__types_1gga246fde0e79029f514ce3846b31e366d7a0f601c5d5843c59e58ee1988dd0e6861">CYHAL_POWER_LEVEL_OFF</ref> to any other value.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">power</parametername>
</parameternamelist>
<parameterdescription>
<para>The power level to set </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set power request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="120" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" bodystart="101" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" line="101" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp_1ga05458b0c95ab66c699787f5fe118fa99" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_comp_configure</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_comp_config_t *cfg)</argsstring>
        <name>cyhal_comp_configure</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Reconfigure the Comparator. </para>        </briefdescription>
        <detaileddescription>
<para>This retains the powered state of the comparator. Depending on the implementation, it may be necessary to temporarily deconfigure and/or power off the comparator in order to apply the new configuration. However, if the comparator is powered-off when this function is called, it will remain powered-off after it returns. Likewise, if the comparator is powered-on when this function is called, it will remain powered-on after it returns.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>New configuration to apply </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="141" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" bodystart="122" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" line="122" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp_1ga6b4cece78ae5cd76db2fb93493914e8d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_comp_read</definition>
        <argsstring>(cyhal_comp_t *obj)</argsstring>
        <name>cyhal_comp_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Reads the Comparator state. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The Comparator state. True if the non-inverting pin voltage is greater than the inverting pin voltage, false otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="161" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" bodystart="143" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" line="143" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp_1ga0baa90d0b7b567226d997fbc09e07843" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_comp_register_callback</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_comp_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_comp_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__comp_1gac0cf713e6a1b5bca220e9da2f60a8d9e">cyhal_comp_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register/clear a callback handler for Comparator events. </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__comp_1ga101a186f1f62ae222e9a7fae8256ee63">cyhal_comp_enable_event</ref> occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>Function to call when the specified event happens </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the handler when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="172" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" bodystart="163" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" line="163" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__comp_1ga101a186f1f62ae222e9a7fae8256ee63" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_comp_enable_event</definition>
        <argsstring>(cyhal_comp_t *obj, cyhal_comp_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_comp_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Enable or Disable a Comparator event. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__comp_1ga0baa90d0b7b567226d997fbc09e07843">cyhal_comp_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>Comparator event </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>Priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on event, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="194" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" bodystart="174" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" line="174" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para><linebreak />
 Provides a high level interface for interacting with the Cypress analog comparator. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight><highlight class="normal"><sp /></highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#include<sp />"cyhal_comp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_comp_ctb.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_comp_lp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_gpio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_analog_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hwmgr.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_system.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="comment">/*<sp />This<sp />file<sp />is<sp />the<sp />top-level<sp />wrapper.<sp />Comp<sp />can<sp />be<sp />implemented<sp />on<sp />top<sp />of<sp />either<sp />LPComp<sp />or<sp />the<sp />CTB<sp />Opamps<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXS40PASS_CTB_INSTANCES)<sp />||<sp />defined(CY_IP_MXLPCOMP_INSTANCES)</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__comp_1ga5cc60c08506afdf99bd847289b67bd7d">cyhal_comp_init</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />vin_p,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />vin_m,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />output,<sp /><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref><sp />*cfg)</highlight></codeline>
<codeline lineno="60"><highlight class="normal">{</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__hal__comp__lp_1gaf690b13f87bddb987a316dbb1ee5b190">_cyhal_comp_lp_init</ref>(obj,<sp />vin_p,<sp />vin_m,<sp />output,<sp />cfg);</highlight></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(vin_p);</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(vin_m);</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(output);</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(cfg);</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />!=<sp />result)</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__hal__results__comp_1gaa2982c5be34b40c8a2b226d433421ba0">CYHAL_COMP_RSLT_ERR_BAD_ARGUMENT</ref>;</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXS40PASS_CTB_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXS40PASS_CTB_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />result<sp />=<sp /><ref kindref="member" refid="group__group__hal__comp__ctb_1gac88bf23e430ff41a6fa780f642626683">_cyhal_comp_ctb_init</ref>(obj,<sp />vin_p,<sp />vin_m,<sp />output,<sp />cfg);</highlight></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />result;</highlight></codeline>
<codeline lineno="79"><highlight class="normal">}</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp_1ga22b207c986cfda6121fea3a00a5baf67">cyhal_comp_free</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="82"><highlight class="normal">{</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba279192cbd81c5e71e5f4c3939d2e96a8">CYHAL_RSC_OPAMP</ref>)</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXS40PASS_CTB_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXS40PASS_CTB_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__comp__ctb_1gaf76014ecae933704926697e3f142e27c">_cyhal_comp_ctb_free</ref>(obj);</highlight></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba66b3400d94288b89d49def6194537bbe">CYHAL_RSC_LPCOMP</ref>);</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1gab0d486392f91487b3551b4f8a0fbd74f">_cyhal_comp_lp_free</ref>(obj);</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="99"><highlight class="normal">}</highlight></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__comp_1ga3808f1cb24f0dd6dc9d16152667649de">cyhal_comp_set_power</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__general__types_1ga246fde0e79029f514ce3846b31e366d7">cyhal_power_level_t</ref><sp />power)</highlight></codeline>
<codeline lineno="102"><highlight class="normal">{</highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba279192cbd81c5e71e5f4c3939d2e96a8">CYHAL_RSC_OPAMP</ref>)</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXS40PASS_CTB_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXS40PASS_CTB_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__ctb_1gabbf7be0b1e9948cde44ec408d43d8f1b">_cyhal_comp_ctb_set_power</ref>(obj,<sp />power);</highlight></codeline>
<codeline lineno="107"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(power);</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__results__comp_1gaa2982c5be34b40c8a2b226d433421ba0">CYHAL_COMP_RSLT_ERR_BAD_ARGUMENT</ref>;</highlight></codeline>
<codeline lineno="111"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="115"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba66b3400d94288b89d49def6194537bbe">CYHAL_RSC_LPCOMP</ref>);</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1gabf5db6e64e20c4454a441d3ac741c9af">_cyhal_comp_lp_set_power</ref>(obj,<sp />power);</highlight></codeline>
<codeline lineno="118"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="120"><highlight class="normal">}</highlight></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__comp_1ga05458b0c95ab66c699787f5fe118fa99">cyhal_comp_configure</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="compound" refid="structcyhal__comp__config__t">cyhal_comp_config_t</ref><sp />*cfg)</highlight></codeline>
<codeline lineno="123"><highlight class="normal">{</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba279192cbd81c5e71e5f4c3939d2e96a8">CYHAL_RSC_OPAMP</ref>)</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="126"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXS40PASS_CTB_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXS40PASS_CTB_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__ctb_1ga6d2e2d58bbb2678030c132c53ac9c52c">_cyhal_comp_ctb_configure</ref>(obj,<sp />cfg);</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(cfg);</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__results__comp_1gaa2982c5be34b40c8a2b226d433421ba0">CYHAL_COMP_RSLT_ERR_BAD_ARGUMENT</ref>;</highlight></codeline>
<codeline lineno="132"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="136"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba66b3400d94288b89d49def6194537bbe">CYHAL_RSC_LPCOMP</ref>);</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1ga6c35377a1e7b4cb2fd4bbc2685df0a15">_cyhal_comp_lp_configure</ref>(obj,<sp />cfg);</highlight></codeline>
<codeline lineno="139"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="141"><highlight class="normal">}</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp_1ga6b4cece78ae5cd76db2fb93493914e8d">cyhal_comp_read</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj)</highlight></codeline>
<codeline lineno="144"><highlight class="normal">{</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba279192cbd81c5e71e5f4c3939d2e96a8">CYHAL_RSC_OPAMP</ref>)</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="147"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXS40PASS_CTB_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXS40PASS_CTB_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__ctb_1ga1f0ecef40773ca0351342d6027d1a4b4">_cyhal_comp_ctb_read</ref>(obj);</highlight></codeline>
<codeline lineno="149"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__results__comp_1gaa2982c5be34b40c8a2b226d433421ba0">CYHAL_COMP_RSLT_ERR_BAD_ARGUMENT</ref>;</highlight></codeline>
<codeline lineno="152"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba66b3400d94288b89d49def6194537bbe">CYHAL_RSC_LPCOMP</ref>);</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1ga91e5bc0e5f3e634387d4930f1ffb9259">_cyhal_comp_lp_read</ref>(obj);</highlight></codeline>
<codeline lineno="159"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="161"><highlight class="normal">}</highlight></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp_1ga0baa90d0b7b567226d997fbc09e07843">cyhal_comp_register_callback</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__comp_1gac0cf713e6a1b5bca220e9da2f60a8d9e">cyhal_comp_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg)</highlight></codeline>
<codeline lineno="164"><highlight class="normal">{</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(obj);</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ASSERT(NULL<sp />!=<sp />obj);</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />savedIntrStatus<sp />=<sp /><ref kindref="member" refid="group__group__hal__system_1ga70a306e5108a38aa995c0ab7d0147e43">cyhal_system_critical_section_enter</ref>();</highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp />obj-&gt;callback_data.callback<sp />=<sp />(cy_israddress)<sp />callback;</highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp />obj-&gt;callback_data.callback_arg<sp />=<sp />callback_arg;</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__system_1ga9fe83f08f46b64c956ec7ed3c335f659">cyhal_system_critical_section_exit</ref>(savedIntrStatus);</highlight></codeline>
<codeline lineno="172"><highlight class="normal">}</highlight></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__comp_1ga101a186f1f62ae222e9a7fae8256ee63">cyhal_comp_enable_event</ref>(<ref kindref="compound" refid="structcyhal__comp__t">cyhal_comp_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__comp_1ga9ce3883df3861eb47c5b1e3c079edc37">cyhal_comp_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable)</highlight></codeline>
<codeline lineno="175"><highlight class="normal">{</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba279192cbd81c5e71e5f4c3939d2e96a8">CYHAL_RSC_OPAMP</ref>)</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="178"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXS40PASS_CTB_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXS40PASS_CTB_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__comp__ctb_1gad6eb389e442c129edf17f6bef7058ebe">_cyhal_comp_ctb_enable_event</ref>(obj,<sp />event,<sp />intr_priority,<sp />enable);</highlight></codeline>
<codeline lineno="180"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(event);</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(intr_priority);</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_UNUSED_PARAMETER(enable);</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(</highlight><highlight class="keyword">false</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />&amp;&amp;<sp />(CY_IP_MXLPCOMP_INSTANCES<sp />&gt;<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_ASSERT(obj-&gt;resource.<ref kindref="member" refid="structcyhal__resource__inst__t_1ad111187a65d182386ea96858369b83d4">type</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba66b3400d94288b89d49def6194537bbe">CYHAL_RSC_LPCOMP</ref>);</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__comp__lp_1ga218f0364ab4bde8094700b012e12d991">_cyhal_comp_lp_enable_event</ref>(obj,<sp />event,<sp />intr_priority,<sp />enable);</highlight></codeline>
<codeline lineno="192"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="194"><highlight class="normal">}</highlight></codeline>
<codeline lineno="195"><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_IP_MXS40PASS_CTB_INSTANCES)<sp />||<sp />defined(CY_IP_MXLPCOMP_INSTANCES)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_comp.c" />
  </compounddef>
</doxygen>